curl --request POST \
--url https://api.cyberdesk.io/v1/pools \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"pool_parameters": {},
"pool_sensitive_parameters": {}
}
'import requests
url = "https://api.cyberdesk.io/v1/pools"
payload = {
"name": "<string>",
"description": "<string>",
"pool_parameters": {},
"pool_sensitive_parameters": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
pool_parameters: {},
pool_sensitive_parameters: {}
})
};
fetch('https://api.cyberdesk.io/v1/pools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"pool_parameters": {},
"pool_sensitive_parameters": {},
"machine_count": 0
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Create Pool
Create a new pool for organizing machines.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Unique key for idempotent requests. If provided, the server ensures the request is processed at most once. Retries with the same key return the original response. SDKs auto-generate this for write requests.
"550e8400-e29b-41d4-a716-446655440000"
Body
Schema for creating a pool
1 - 255Pool-level input values that auto-populate runs selecting this pool
Pool-level sensitive input aliases (stored in Basis Theory)
Show child attributes
Show child attributes
Response
Successful Response
Pool response schema
1 - 255Pool-level input values that auto-populate runs selecting this pool
Pool-level sensitive input aliases (stored in Basis Theory)
Show child attributes
Show child attributes
Number of machines in this pool
Was this page helpful?